org.gjt.sp.jedit.textarea

## Class ElasticTabstopsTabExpander

- java.lang.Object
- - org.gjt.sp.jedit.textarea.ElasticTabstopsTabExpander

- All Implemented Interfaces:
    javax.swing.text.TabExpander

      public class ElasticTabstopsTabExpander
      extends java.lang.Object
      implements javax.swing.text.TabExpander

  A Swing TabExpander for Elastic Tabstops.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElasticTabstopsTabExpander(TextArea textArea)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `nextTabStop(float x, int tabOffset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElasticTabstopsTabExpander

          public ElasticTabstopsTabExpander(TextArea textArea)

  - ### Method Detail

    - #### nextTabStop

          public float nextTabStop(float x,
                                   int tabOffset)

      Specified by:
        `nextTabStop` in interface `javax.swing.text.TabExpander`